problem.hh File Reference
`#include <iostream>`
`#include <stdexcept>`
`#include <boost/mpl/assert.hpp>`
`#include <boost/mpl/logical.hpp>`
`#include <boost/mpl/transform.hpp>`
`#include <boost/mpl/vector.hpp>`
`#include <boost/optional.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/type_traits/is_base_of.hpp>`
`#include <boost/variant.hpp>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/portability.hh>`
`#include <roboptim/core/function.hh>`
`#include <roboptim/core/problem.hxx>`

## Classes

struct | roboptim::detail::add_shared_ptr< CLIST >
| Transform a types list into a types list of shared pointers. More...
class | roboptim::Problem< F, boost::mpl::vector<> >
class | roboptim::Problem< F, CLIST >

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::detail

## Functions

template<typename F >
std::ostream & | roboptim::operator<< (std::ostream &o, const Problem< F, boost::mpl::vector<> > &pb)
| Override operator<< to handle problem display. More...
template<typename F , typename CLIST >
std::ostream & | roboptim::operator<< (std::ostream &o, const Problem< F, CLIST > &pb)
| Override operator<< to handle problem display. More...